##----------------------------------------------------------------------------
##
## ESPDOS.MAK
##
##----------------------------------------------------------------------------
##
## CREATED:           13 Jan 1993
##
##----------------------------------------------------------------------------
##
## ABSTRACT:
##
##     Makefile for the ESP2 Test program
##
##
##----------------------------------------------------------------------------
##DISCLAIMER: THE PRODUCT IS PROVIDED TO DEVELOPER "AS IS" WITHOUT WARRANTY
##OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE 
##IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE,
##AND THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PRODUCT IS 
##ASSUMED BY DEVELOPER, INCLUDING ALL COSTS OF SERVICING, REPAIRS OR CORRECTIONS.  
##DEVELOPER AGREES THAT HAYES WILL NOT BE LIABLE FOR ANY DAMAGES DIRECTLY OR 
##INDIRECTLY RELATED TO THE USE OF THE PRODUCT, INCLUDING BUT NOT LIMITED
##TO, LOST PROFITS, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES, WHETHER BASED
##ON CONTRACT, TORT OR ANY OTHER LEGAL THEORY.  DEVELOPER ACKNOWLEDGES THAT 
##THE PRODUCT IS STILL UNDER DEVELOPMENT AND THAT HAYES DOES NOT WARRANT 
##THAT THE PRODUCT IN ITS PRESENT OR FUTURE FORM WILL MEET DEVELOPER'S NEEDS.
##
##
##----------------------------------------------------------------------------
##
## 
##
##----------------------------------------------------------------------------

ALL  :  ESPTEST.EXE

#
#  To run make file execute the following:
#      nmake espdos.mak
#
#
#	Compiler:  	Microsoft C 6.0
#  Assembler:  Microsoft Masm 6.1
#  Linker:     Microsoft Link 5.10
#  Nmake:      Microsoft Nmake 1.11
#
#
DEBUG=-DDEBUG
HIST=-DHISTORY
DOSSRC=dossrc
OBJ=obj
DEF= $(DEBUG) $(HIST)
CFLAGS=cl /I. /W3 /Lr /Zi /Gs /G2 /c   $(DEF)
AFLAGS= /Zi /Mx /N /T
LDFLAGS = /map /cp:1 /co /LI 
##----------------------------------------------------------------------------
####
#  ESPTEST.EXE
####

$(OBJ)\ESPTEST.OBJ:   $(DOSSRC)\ESPTEST.C   $(DOSSRC)\ESPFUNC.H espdos.mak
        $(CFLAGS) /Fo$(OBJ)\esptest.obj $(DOSSRC)\esptest.c   

$(OBJ)\ESPdata.OBJ:    $(DOSSRC)\ESPdata.C   $(DOSSRC)\ESPFUNC.H espdos.mak
        $(CFLAGS) /Fo$(OBJ)\espdata.obj $(DOSSRC)\espdata.c   

#$(OBJ)\ESPisr.OBJ:    $(DOSSRC)\ESPisr.C   $(DOSSRC)\ESPFUNC.H espdos.mak
#        $(CFLAGS)  /Fclst/espisr.lst /Fo$(OBJ)\espisr.obj $(DOSSRC)\espisr.c   

$(OBJ)\ESPisr.OBJ:    $(DOSSRC)\ESPisr.C   $(DOSSRC)\ESPFUNC.H espdos.mak
        $(CFLAGS)   /Fo$(OBJ)\espisr.obj $(DOSSRC)\espisr.c   

$(OBJ)\ESPconf.OBJ:    $(DOSSRC)\ESPconf.C   $(DOSSRC)\ESPFUNC.H espdos.mak
        $(CFLAGS) /Fo$(OBJ)\espconf.obj $(DOSSRC)\espconf.c   

$(OBJ)\espentry.obj:    $(DOSSRC)\espentry.asm espdos.mak 
       masm $(AFLAGS) $(DOSSRC)\espentry.asm, $(OBJ)\espentry.obj;

ESPTEST.EXE:    $(OBJ)\ESPTEST.OBJ $(OBJ)\espdata.obj $(OBJ)\espentry.obj  \
               $(OBJ)\espisr.OBJ $(OBJ)\ESPconf.OBJ
           link $(LDFLAGS) $(OBJ)\esptest+$(OBJ)\espdata+$(OBJ)\espconf+$(OBJ)\espentry+$(OBJ)\espisr;






           
